Index: /trunk/config/CVS/Entries
===================================================================
--- /trunk/config/CVS/Entries	(revision 1348)
+++ /trunk/config/CVS/Entries	(revision 1349)
@@ -1,16 +1,16 @@
 D/scripts////
 D/sys////
-/G4UI_BUILD.gmk/1.5/Thu Sep 30 06:01:23 2010//Tgeant4-09-04-beta-01
-/G4UI_USE.gmk/1.15/Thu Sep 30 06:01:23 2010//Tgeant4-09-04-beta-01
-/G4VIS_BUILD.gmk/1.22/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-beta-01
-/G4VIS_USE.gmk/1.28/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-beta-01
-/History/1.379/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-beta-01
-/analysis.gmk/1.18/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-beta-01
-/architecture.gmk/1.121/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/binmake.gmk/1.146/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/common.gmk/1.54/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/globlib.gmk/1.29/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/interactivity.gmk/1.12/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/liblist.c/1.21/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/moc.gmk/1.3/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/win32def.c/1.3/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
+/G4UI_BUILD.gmk/1.5/Thu Sep 30 06:01:23 2010//Tgeant4-09-04-ref-00
+/G4UI_USE.gmk/1.15/Thu Sep 30 06:01:23 2010//Tgeant4-09-04-ref-00
+/G4VIS_BUILD.gmk/1.22/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-ref-00
+/G4VIS_USE.gmk/1.28/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-ref-00
+/analysis.gmk/1.18/Thu Sep 30 06:01:24 2010//Tgeant4-09-04-ref-00
+/architecture.gmk/1.125/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/binmake.gmk/1.149/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/common.gmk/1.54/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
+/globlib.gmk/1.30/Tue Oct  5 15:14:30 2010//Tgeant4-09-04-ref-00
+/interactivity.gmk/1.12/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-ref-00
+/liblist.c/1.22/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/moc.gmk/1.3/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-ref-00
+/win32def.c/1.3/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-ref-00
+/History/1.400/Wed Dec 22 16:28:40 2010//
Index: /trunk/config/CVS/Tag
===================================================================
--- /trunk/config/CVS/Tag	(revision 1348)
+++ /trunk/config/CVS/Tag	(revision 1349)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: /trunk/config/History
===================================================================
--- /trunk/config/History	(revision 1348)
+++ /trunk/config/History	(revision 1349)
@@ -1,3 +1,3 @@
-cvs log $Id: History,v 1.379 2010/06/11 10:02:27 gunter Exp $
+cvs log $Id: History,v 1.400 2010/12/22 16:28:40 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -17,8 +17,59 @@
      ----------------------------------------------------------
 
-11 June 2010  Gunter Folger   (config-V09-03-05)
-- Increase stack size on Windows, in sys/WIN-VC add a /STACK:8368128 
-   (ie. 8MB) option to LDFLAGS; Needed by some Chips based 
-   examples and tests.
+22th December 2010  Laurent Garnier
+- Darwin-g++.gmk add fix to not mix OGL X11 and framework
+
+8th December 2010  Gunter Folger   (config-V09-03-19)
+- Updated linux-icc to suppress warning when linking to shared libs
+
+25th November 2010  Gabriele Cosmo (config-V09-03-18)
+- Updated internal Configure scripts for adding new data module G4PIIDATA.
+
+24th November 2010  Gabriele Cosmo (config-V09-03-17 & V09-03-16)
+- Added hadronic/models/lend module to binmake.gmk and cleanup of obsolete
+  include paths.
+
+19th November 2010  Gabriele Cosmo (config-V09-03-15)
+- Added electromagnetic/pii module to binmake.gmk.
+
+4th November 2010  Mike Kelsey (config-V09-03-14)
+- Fixed typo in OGLLIBS definition for MacOSX Leopard.
+
+2nd November 2010  Gabriele Cosmo (config-V09-03-13)
+- Replace use of strcat() with more secure strncat() in liblist.c, and
+  protected uses of strcpy().
+- Updated scripts for Configure, to allow for parallel builds (B.Morgan).
+
+1st November 2010  Gabriele Cosmo (config-V09-03-12)
+- Restore positional qualifier for LDFLAGS in architecture.gmk to allow for
+  explicit settings in user applications.
+
+26th October 2010  Gabriele Cosmo (config-V09-03-11)
+- Explicitly include -L$(OGLHOME)/lib -lGLU -lGL to OGLLIBS in Darwin-g++.gmk
+  to resolve dynamic link problem on Mac when opening X11 GL scene viewers.
+  Moved block of OGLLIBS for X11 to correct 'else' condition.
+
+15th October 2010  Gabriele Cosmo (config-V09-03-10)
+- More refinements to Darwin-g++ to correct and simplify Qt4 setup.
+
+12th October 2010  Gabriele Cosmo (config-V09-03-09)
+- Force definition of LDFLAGS in architecture.gmk to avoid occasional fatal
+  clashes with settings in user's environment.
+
+10th October 2010  Gabriele Cosmo
+- Removed obsolete Qt3 setup for Darwin-g++, Linux-g++ and WIN32-VC.
+
+5th October 2010  Laurent Garnier (config-V09-03-08)
+- Darwin-g++.gmk: fixed mix between X11 OpenGL and Native OpenGL on mac 10.6.
+
+30th September 2010  Gabriele Cosmo (config-V09-03-07)
+- Added 'obj' target to globlib.gmk to allow for just creation of object files.
+
+23rd August 2010  Gabriele Cosmo (config-V09-03-06)
+- Simplified QTLIBPATH setup in Linux-g++.gmk.
+
+11th June 2010  Gunter Folger (config-V09-03-05)
+- Increased stack size on Windows, in sys/WIN-VC added option /STACK:8368128 
+  (i.e. 8MB) option to LDFLAGS; needed by some CHIPS-based examples and tests.
 
 7th June 2010  Gabriele Cosmo (config-V09-03-04)
Index: /trunk/config/architecture.gmk
===================================================================
--- /trunk/config/architecture.gmk	(revision 1348)
+++ /trunk/config/architecture.gmk	(revision 1349)
@@ -1,3 +1,3 @@
-# $Id: architecture.gmk,v 1.121 2009/11/18 17:27:38 gcosmo Exp $
+# $Id: architecture.gmk,v 1.125 2010/11/24 10:54:13 gcosmo Exp $
 # ------------------------------------------------------------------------
 #       GEANT 4 - Architecture configuration script for GNU Make
Index: /trunk/config/binmake.gmk
===================================================================
--- /trunk/config/binmake.gmk	(revision 1348)
+++ /trunk/config/binmake.gmk	(revision 1349)
@@ -1,3 +1,3 @@
-# $Id: binmake.gmk,v 1.146 2010/06/07 09:01:10 gcosmo Exp $
+# $Id: binmake.gmk,v 1.149 2010/11/23 13:21:37 gcosmo Exp $
 # ----------------------------------------------------------
 # Script defining rules and paths for making binaries.
@@ -5,5 +5,5 @@
 # ----------------------------------------------------------
 
-ifndef LDFLAGS
+ifndef G4DUMMY_VARIABLE
   include $(G4INSTALL)/config/architecture.gmk
 endif
@@ -78,4 +78,5 @@
               -I$(G4BASE)/processes/electromagnetic/lowenergy/include \
               -I$(G4BASE)/processes/electromagnetic/highenergy/include \
+              -I$(G4BASE)/processes/electromagnetic/pii/include \
               -I$(G4BASE)/processes/electromagnetic/polarisation/include \
               -I$(G4BASE)/processes/hadronic/cross_sections/include \
@@ -103,10 +104,9 @@
               -I$(G4BASE)/processes/hadronic/models/de_excitation/util/include \
               -I$(G4BASE)/processes/hadronic/models/em_dissociation/include \
-              -I$(G4BASE)/processes/hadronic/models/general_finalstate/include \
               -I$(G4BASE)/processes/hadronic/models/high_energy/include \
               -I$(G4BASE)/processes/hadronic/models/im_r_matrix/include \
               -I$(G4BASE)/processes/hadronic/models/incl/include \
-              -I$(G4BASE)/processes/hadronic/models/inucl/include \
               -I$(G4BASE)/processes/hadronic/models/isotope_production/include \
+              -I$(G4BASE)/processes/hadronic/models/lend/include \
               -I$(G4BASE)/processes/hadronic/models/lll_fission/include \
               -I$(G4BASE)/processes/hadronic/models/low_energy/include \
@@ -120,9 +120,5 @@
               -I$(G4BASE)/processes/hadronic/models/pre_equilibrium/exciton_model/include \
               -I$(G4BASE)/processes/hadronic/models/qmd/include \
-              -I$(G4BASE)/processes/hadronic/models/quark_molecular_dynamics/body/include \
-              -I$(G4BASE)/processes/hadronic/models/quark_molecular_dynamics/util/include \
               -I$(G4BASE)/processes/hadronic/models/radioactive_decay/include \
-              -I$(G4BASE)/processes/hadronic/models/relativistic_qmd/include \
-              -I$(G4BASE)/processes/hadronic/models/relativistic_qmd/uplusplus/include \
               -I$(G4BASE)/processes/hadronic/models/rpg/include \
               -I$(G4BASE)/processes/hadronic/models/theo_high_energy/include \
Index: /trunk/config/common.gmk
===================================================================
--- /trunk/config/common.gmk	(revision 1348)
+++ /trunk/config/common.gmk	(revision 1349)
@@ -114,5 +114,4 @@
 	@echo Making dependency for file $< ...
 	@if [ ! -d $(G4TMPDIR) ] ; then mkdir -p $(G4TMPDIR)  ;fi
-	@set -e;\
 	g++ $(GPPFLAGS) $(CPPFLAGS) -w $< |\
 	sed 's!$*\.o!$(G4TMPDIR)/& $@!' >$@;\
Index: /trunk/config/globlib.gmk
===================================================================
--- /trunk/config/globlib.gmk	(revision 1348)
+++ /trunk/config/globlib.gmk	(revision 1349)
@@ -1,3 +1,3 @@
-# $Id: globlib.gmk,v 1.29 2009/02/26 16:40:40 gcosmo Exp $
+# $Id: globlib.gmk,v 1.30 2010/09/30 09:04:01 gcosmo Exp $
 # --------------------------------------------------------------
 # Script for compound libraries.  Gabriele Cosmo, 25/6/98.
@@ -12,5 +12,5 @@
 G4LIBDIR = $(G4LIB)/$(G4SYSTEM)
 
-.PHONY : all glob global objs includes clean clean_libs wipe_libs
+.PHONY : all glob global obj objs includes clean clean_libs wipe_libs
 
 all: makesub
@@ -91,4 +91,13 @@
 endif
 
+obj:
+	@for dir in $(SUBDIRS); \
+	  do (cd $$dir; $(MAKE) -q obj && ok=yes; \
+	    if [ $$ok ]; \
+	    then echo Nothing to be done for lib$(name) in $$dir/.; \
+	    else $(MAKE) obj; \
+	    fi; ) \
+	  done
+
 objs:
 	@for dir in $(SUBDIRS); \
Index: /trunk/config/liblist.c
===================================================================
--- /trunk/config/liblist.c	(revision 1348)
+++ /trunk/config/liblist.c	(revision 1349)
@@ -1,3 +1,3 @@
-/* $Id: liblist.c,v 1.21 2008/05/20 13:33:34 gunter Exp $ */
+/* $Id: liblist.c,v 1.22 2010/11/02 09:20:42 gcosmo Exp $ */
 
 /*
@@ -72,6 +72,6 @@
 			     strlen(entry->d_name)+2)*sizeof(char));
       strcpy(buffer,directory);
-      strcat(buffer,"/");
-      strcat(buffer,entry->d_name);
+      strncat(buffer,"/",1);
+      strncat(buffer,entry->d_name,strlen(entry->d_name));
       s=stat(buffer,&status);
       if(s==0)
@@ -287,10 +287,15 @@
 	    }
           libmapPtr->trigger=(char*)malloc(TRIGSIZE);
+	  if(strlen(ptr)>TRIGSIZE)
+          {
+            fprintf(stderr,"  ERROR: String overflow for: %s\n", ptr);
+            exit(1);
+          }
           strcpy(libmapPtr->trigger,ptr);
           ptr=strtok(NULL,"/");
           while(ptr&&strcmp(ptr,"GNUmakefile"))
 	    {
-	      strcat(libmapPtr->trigger,"/");
-	      strcat(libmapPtr->trigger,ptr);
+	      strncat(libmapPtr->trigger,"/",1);
+	      strncat(libmapPtr->trigger,ptr,strlen(ptr));
 	      ptr=strtok(NULL,"/");
 	    }
@@ -339,7 +344,12 @@
       for(libmapPtr=libmap;libmapPtr;libmapPtr=libmapPtr->next)
 	{
-	  strcpy(workbuf,libmapPtr->lib);
+	  if(strlen(libmapPtr->lib)>256)
+          {
+            fprintf(stderr,"  ERROR: String overflow for: %s\n", libmapPtr->lib);
+            exit(1);
+          }
+          strcpy(workbuf,libmapPtr->lib);
 	  /* Add trailing "/" to distinguish track/ and tracking/, etc. */
-	  strcat(workbuf,"/");
+	  strncat(workbuf,"/",1);
 	  if(strstr(ptr,workbuf)) break;
 	}
@@ -367,6 +377,11 @@
 	        {
 		  /* Look for trigger string. */
-		  strcpy(workbuf,libmapPtr->trigger);
-		  strcat(workbuf,"/include");
+	          if(strlen(libmapPtr->trigger)>256)
+                  {
+                    fprintf(stderr,"  ERROR: String overflow for: %s\n", libmapPtr->trigger);
+                    exit(1);
+                  }
+                  strcpy(workbuf,libmapPtr->trigger);
+		  strncat(workbuf,"/include",8);
 		  ptr=strstr(bufferPtr,workbuf);
 		  if(ptr && (userLibmapPtr != libmapPtr))
@@ -388,6 +403,11 @@
 		     from .ddl files and places them in a temporary
 		     directory. */
+	          if(strlen(libmapPtr->lib)>256)
+                  {
+                    fprintf(stderr,"  ERROR: String overflow for: %s\n", libmapPtr->lib);
+                    exit(1);
+                  }
 		  strcpy(workbuf,libmapPtr->lib);
-		  strcat(workbuf,"/");
+		  strncat(workbuf,"/",1);
 		  ptr=strstr(bufferPtr,workbuf);
 		  if(ptr && (userLibmapPtr != libmapPtr))
Index: /trunk/config/scripts/CVS/Entries
===================================================================
--- /trunk/config/scripts/CVS/Entries	(revision 1348)
+++ /trunk/config/scripts/CVS/Entries	(revision 1349)
@@ -1,7 +1,7 @@
-/GNUmakefile/1.8/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/binmake.gmk/1.11/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-beta-01
-/env.csh.SH/1.49/Thu Sep 30 06:01:26 2010//Tgeant4-09-04-beta-01
-/env.sh.SH/1.54/Thu Sep 30 06:01:26 2010//Tgeant4-09-04-beta-01
-/install.sh.SH/1.45/Thu Sep 30 06:01:26 2010//Tgeant4-09-04-beta-01
-/move.sh.SH/1.18/Thu Sep 30 06:01:26 2010//Tgeant4-09-04-beta-01
+/GNUmakefile/1.8/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-ref-00
+/binmake.gmk/1.11/Thu Sep 30 06:01:25 2010//Tgeant4-09-04-ref-00
+/env.csh.SH/1.50/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/env.sh.SH/1.55/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/install.sh.SH/1.46/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/move.sh.SH/1.18/Thu Sep 30 06:01:26 2010//Tgeant4-09-04-ref-00
 D
Index: /trunk/config/scripts/CVS/Tag
===================================================================
--- /trunk/config/scripts/CVS/Tag	(revision 1348)
+++ /trunk/config/scripts/CVS/Tag	(revision 1349)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: /trunk/config/scripts/env.csh.SH
===================================================================
--- /trunk/config/scripts/env.csh.SH	(revision 1348)
+++ /trunk/config/scripts/env.csh.SH	(revision 1349)
@@ -42,4 +42,5 @@
 unsetenv  G4REALSURFACEDATA
 unsetenv  G4NEUTRONXSDATA
+unsetenv  G4PIIDATA
 
 unsetenv  G4LIB
@@ -170,4 +171,11 @@
 endif
 
+#+
+if ( X$g4piidata != X ) then
+    setenv G4PIIDATA "$g4piidata"
+    echo "On this machine the G4PIIDATA=\$G4PIIDATA"
+endif
+
+
 
 #
Index: /trunk/config/scripts/env.sh.SH
===================================================================
--- /trunk/config/scripts/env.sh.SH	(revision 1348)
+++ /trunk/config/scripts/env.sh.SH	(revision 1349)
@@ -42,4 +42,5 @@
 unset  G4REALSURFACEDATA
 unset  G4NEUTRONXSDATA
+unset  G4PIIDATA
 
 unset  G4LIB
@@ -198,4 +199,13 @@
     if [ X\$g4non_display = X ] ; then
         echo "On this machine the G4NEUTRONXSDATA=\$G4NEUTRONXSDATA"
+    fi
+fi
+
+#+
+if [ X$g4piidata != X ] ; then 
+    G4PIIDATA="$g4piidata"
+    export G4PIIDATA
+    if [ X\$g4non_display = X ] ; then
+        echo "On this machine the G4PIIDATA=\$G4PIIDATA"
     fi
 fi
Index: /trunk/config/scripts/install.sh.SH
===================================================================
--- /trunk/config/scripts/install.sh.SH	(revision 1348)
+++ /trunk/config/scripts/install.sh.SH	(revision 1349)
@@ -630,5 +630,5 @@
 
 if test -f \$G4INSTALL/config/scripts/GNUmakefile.db ; then
-mv \$G4INSTALL/config/scripts/GNUmakefile.db \$G4LIB/\$G4SYSTEM/GNUmakefile.db.bac
+    mv \$G4INSTALL/config/scripts/GNUmakefile.db \$G4LIB/\$G4SYSTEM/GNUmakefile.db.bac
 fi
 
@@ -642,76 +642,80 @@
 echo "Starting build..."
 echo ""
+
+echo "Cleaning up $g4conf/g4make.log"
+rm -rf $g4conf/g4make.log
+
 cd $g4install/source
-#echo `pwd`
+
+if test $g4make_jobs -gt 1 ; then
+    $g4make obj -j $g4make_jobs
+fi
 
 # There is no env!
 if [ X$g4global = Xy ] ; then
-echo ""
-rm -rf $g4conf/g4make.log
-$g4make global 2>&1 | tee $g4conf/g4make.log
+    echo "Building global libraries..."
+    $g4make global 2>&1 | tee $g4conf/g4make.log
 fi
 
 # There is env for binaries - for User: should be set in env.[c]sh!
 if [ X$g4granular = Xy ] ; then
-G4LIB_USE_GRANULAR=1
-export G4LIB_USE_GRANULAR
-rm -rf $g4conf/g4make.log
-$g4make 2>&1 | tee $g4conf/g4make.log
+    echo "Building granular libraries..."
+    G4LIB_USE_GRANULAR=1
+    export G4LIB_USE_GRANULAR
+    $g4make 2>&1 | tee $g4conf/g4make.log
 fi
 
 if [ X$g4lib_build_dll = Xy ] ; then
-echo ""
-rm -rf $g4conf/g4make.log
-$g4make dll 2>&1 | tee $g4conf/g4make.log
+    echo "Building WIN32 DLLs..."
+    $g4make dll 2>&1 | tee $g4conf/g4make.log
 fi
 
 if [ X$g4lib_build_dyn = Xy ] ; then
-echo ""
-rm -rf $g4conf/g4make.log
-$g4make global G4LIB_BUILD_SHARED=1 2>&1 | tee $g4conf/g4make.log
+    echo ""
+    rm -rf $g4conf/g4make.log
+    $g4make global G4LIB_BUILD_SHARED=1 2>&1 | tee $g4conf/g4make.log
 fi
 
 # Check for errors in log file
 if test -f \$g4conf/g4make.log ; then
-
-# There are two (at least) shells 'sh' and 'bash' with
-# different arithmetic expansion...So we are doing it by 'text'
-# in two steps...
+    # There are two (at least) shells 'sh' and 'bash' with
+    # different arithmetic expansion...So we are doing it by 'text'
+    # in two steps...
  
-err=\`grep " Error " $g4conf/g4make.log | wc -w\` 
-int=\`grep " Interrupt " $g4conf/g4make.log | wc -w\` 
-stp=\`grep Stop\. $g4conf/g4make.log | wc -w\` 
-
-err2=\`echo \$err\`
-int2=\`echo \$int\`
-stp2=\`echo \$stp\`
-
-if [ X\$err2 = X0 -a X\$int2 = X0 ] ; then
-echo ""
-echo "####################################################"
-echo "# Your Geant4 installation seems to be successful!  "
-echo "# To be sure please have a look into the log file:  "
-echo "# $g4conf/g4make.log				  "
-echo "####################################################"
-echo ""
+    err=\`grep " Error " $g4conf/g4make.log | wc -w\` 
+    int=\`grep " Interrupt " $g4conf/g4make.log | wc -w\` 
+    stp=\`grep Stop\. $g4conf/g4make.log | wc -w\` 
+
+    err2=\`echo \$err\`
+    int2=\`echo \$int\`
+    stp2=\`echo \$stp\`
+
+    if [ X\$err2 = X0 -a X\$int2 = X0 ] ; then
+        echo ""
+        echo "####################################################"
+        echo "# Your Geant4 installation seems to be successful!  "
+        echo "# To be sure please have a look into the log file:  "
+        echo "# $g4conf/g4make.log				  "
+        echo "####################################################"
+        echo ""
+    else
+        echo ""
+        echo "############################################################"
+        echo "# It looks like you had errors during Geant4 installation   "
+        echo "# (or interrupted installation)!				  "
+        echo "# Please check log file:				      	  "
+        echo "# $g4conf/g4make.log					  "
+        echo "############################################################"
+        echo ""
+    fi 
 else
-echo ""
-echo "############################################################"
-echo "# It looks like you had errors during Geant4 installation   "
-echo "# (or interrupted installation)!				  "
-echo "# Please check log file:				      	  "
-echo "# $g4conf/g4make.log					  "
-echo "############################################################"
-echo ""
-fi 
-else
-echo ""
-echo "############################################################"
-echo "# It looks like you had errors during Geant4 installation   "
-echo "# (or interrupted installation)!				  "
-echo "# You have no log file:				      	  "
-echo "# $g4conf/g4make.log					  "
-echo "############################################################"
-echo ""
+    echo ""
+    echo "############################################################"
+    echo "# It looks like you had errors during Geant4 installation   "
+    echo "# (or interrupted installation)!				  "
+    echo "# You have no log file:				      	  "
+    echo "# $g4conf/g4make.log					  "
+    echo "############################################################"
+    echo ""
 fi
 
Index: /trunk/config/sys/CVS/Entries
===================================================================
--- /trunk/config/sys/CVS/Entries	(revision 1348)
+++ /trunk/config/sys/CVS/Entries	(revision 1349)
@@ -1,12 +1,12 @@
-/AIX-xlC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/DEC-cxx.gmk/1.12/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Darwin-g++.gmk/1.42/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/HP-aCC.gmk/1.11/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-egcs.gmk/1.10/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-g++.gmk/1.50/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/Linux-icc.gmk/1.15/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/SGI-CC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/SUN-CC.gmk/1.19/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/WIN32-VC.gmk/1.34/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
-/WIN32-g++.gmk/1.18/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-beta-01
+/AIX-xlC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/DEC-cxx.gmk/1.12/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/HP-aCC.gmk/1.11/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Linux-egcs.gmk/1.10/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Linux-g++.gmk/1.52/Tue Oct 26 09:07:48 2010//Tgeant4-09-04-ref-00
+/Linux-icc.gmk/1.16/Wed Dec 22 10:21:15 2010//Tgeant4-09-04-ref-00
+/SGI-CC.gmk/1.8/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/SUN-CC.gmk/1.19/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/WIN32-VC.gmk/1.35/Tue Oct 26 09:07:48 2010//Tgeant4-09-04-ref-00
+/WIN32-g++.gmk/1.18/Thu Sep 30 06:01:27 2010//Tgeant4-09-04-ref-00
+/Darwin-g++.gmk/1.52/Thu Dec  9 13:54:13 2010//
 D
Index: /trunk/config/sys/CVS/Tag
===================================================================
--- /trunk/config/sys/CVS/Tag	(revision 1348)
+++ /trunk/config/sys/CVS/Tag	(revision 1349)
@@ -1,1 +1,1 @@
-Ngeant4-09-04-beta-01
+Ngeant4-09-04-ref-00
Index: /trunk/config/sys/Darwin-g++.gmk
===================================================================
--- /trunk/config/sys/Darwin-g++.gmk	(revision 1348)
+++ /trunk/config/sys/Darwin-g++.gmk	(revision 1349)
@@ -1,7 +1,5 @@
 #
 # ------ MacOS-X ------
-#                                 MacOS 10.3 gcc-3.3
-#                                 MacOS 10.4 gcc-4.0
-#                                 MacOS 10.5 gcc-4.0
+#                                 MacOS 10.6 gcc-4.2
 #
 # Original author: Helmut Burkhardt - CERN
@@ -65,72 +63,64 @@
   ifndef OGLHOME
     OGLHOME  := /usr/X11R6
+#   OGLHOME  := /System/Library/Frameworks/OpenGL.framework
   endif
   ifndef OGLFLAGS
     OGLFLAGS  := -I$(OGLHOME)/include 
+#   OGLFLAGS := -I$(OGLHOME)/Headers 
   endif
   ifndef OGLLIBS
-    ifeq ($(shell uname -r | sed 's/\([0-9]*\).[0-9]*.[0-9]*/\1/'),9)
-      # the following lines are for building on MacOSX 10.5 "Leopard"
-      OGLLIBS   := $(shell test -f /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib && echo "-L/usr/X11R6/lib -lGLU -lGL -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib")
+    QTGLPATH  := $(shell test -f /System/Library/Frameworks/OpenGL.framework/OpenGL && echo "/System/Library/Frameworks/OpenGL.framework")
+    ifeq ($(QTGLPATH),/System/Library/Frameworks/OpenGL.framework)
+      DARWIN_VERSION = $(shell uname -r | sed 's/\([0-9]*\).[0-9]*.[0-9]*/\1/')
+      ifeq ($(DARWIN_VERSION),9)
+        # the following lines are for building on MacOSX 10.5 "Leopard"
+        OGLLIBS := -Wl,$(QTGLPATH)/Versions/A/Libraries/libGL.dylib -L$(OGLHOME)/lib -lGLU -lGL
+      else
+        ifeq ($(DARWIN_VERSION),10)
+          # the following lines are for building on MacOSX > 10.5
+          OGLLIBS := -F/System/Library/Frameworks -framework OpenGL -framework AGL 
+          ifeq ($(G4VIS_USE_OPENGLX),1)
+            OGLLIBS += -L$(OGLHOME)/lib -lGLU -lGL
+          endif
+        endif
+      endif
     else
-#      OGLLIBS   := -L$(OGLHOME)/lib -lGLU -lGL
-      OGLLIBS   := -F/System/Library/Frameworks/ -framework OpenGL -framework AGL
+      OGLLIBS := -L$(OGLHOME)/lib -lGLU -lGL
     endif
   endif
 
 # ---- QT Setup block -------------------------------------------------------
+
   ifndef QTHOME
-    QTHOME   := $(shell test -f /Library/Frameworks/Qt3Support.framework/Qt3Support && echo  "/Library/Frameworks" || echo "/sw")
+    QTHOME := /Library/Frameworks
   endif
   ifndef QTMOC
-   ifeq ($(QTHOME),/Library/Frameworks)
-     QTMOC      := /usr/bin/moc
-   else
-     QTMOC      := $(QTHOME)/bin/moc
-   endif
-  endif
-
-  QT_VERSION := $(shell $(QTMOC) 2>&1 -v | sed 's/.* .Qt \([0-9]\)\..*/\1/' )
-
-  ifndef QTFLAGS
-    ifeq ($(QT_VERSION),4)
-      QTFLAGS   := -I $(QTHOME)/QtCore.framework/Headers 
-      QTFLAGS   += -I $(QTHOME)/QtGui.framework/Headers 
-      QTFLAGS   += -I $(QTHOME)/QtOpenGL.framework/Headers
-      QTFLAGS   += -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+    ifeq ($(QTHOME),/Library/Frameworks)
+      QTMOC      := /usr/bin/moc
     else
-      QTFLAGS   := -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+      QTMOC      := $(QTHOME)/bin/moc
     endif
   endif
+  ifndef QTFLAGS
+    QTFLAGS   := -I $(QTHOME)/QtCore.framework/Headers 
+    QTFLAGS   += -I $(QTHOME)/QtGui.framework/Headers 
+    QTFLAGS   += -I $(QTHOME)/QtOpenGL.framework/Headers
+    QTFLAGS   += -I $(QTHOME)/include/Qt -I$(QTHOME)/include
+  endif
   ifndef QTLIBPATH
-    ifeq ($(QT_VERSION),3)
-      QTLIBPATH   := $(shell test -d $(QTHOME)/lib/qt3/lib && echo "$(QTHOME)/lib/qt3/lib" || echo "$(QTHOME)/lib" )
+    ifeq ($(QTHOME),/Library/Frameworks)
+      QTLIBPATH  := -F$(QTHOME)
     else
-      QTLIBPATH  := -F$(QTHOME)/lib -F$(QTHOME)
+      QTLIBPATH  := -F$(QTHOME)/lib
     endif
   endif
   ifndef QTLIBS
-    ifeq ($(QT_VERSION),3)
-      QTLIBS   := -L$(QTLIBPATH)
-      QT3_MT  := $(shell ls  $(QTLIBPATH)/libqt-mt.* 2>/dev/null | wc -l )
-      ifneq ($(QT3_MT),0)
-        QTLIBS  += -lqt-mt
-      else
-        QTLIBS  += -lqt
-      endif
-      QTLIBS   += -lqui
-    else
-      QTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
-    endif
+    QTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),3)
-        # already done in QTLIBS
-        #      GLQTLIBS    := $(QTLIBS)
-    else
-      GLQTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
-      GLQTLIBS    += -framework QtOpenGL
-    endif
+    GLQTLIBS    := $(QTLIBPATH) -framework QtCore -framework QtGui
+    GLQTLIBS    += -framework QtOpenGL
   endif
+
 #----------------------------------------------------------------------------
 
Index: /trunk/config/sys/Linux-g++.gmk
===================================================================
--- /trunk/config/sys/Linux-g++.gmk	(revision 1348)
+++ /trunk/config/sys/Linux-g++.gmk	(revision 1349)
@@ -77,4 +77,5 @@
 
 # ---- QT Setup block -------------------------------------------------------
+
   ifndef QTHOME
     QTHOME     := /usr
@@ -87,56 +88,23 @@
 
   ifndef QTFLAGS
-    ifeq ($(QT_VERSION),4)
-      QTFLAGS   += -I$(QTHOME)/include
-      QTFLAGS   += -I $(QTHOME)/include/QtCore 
-      QTFLAGS   += -I $(QTHOME)/include/QtGui 
-      QTFLAGS   += -I $(QTHOME)/include/QtOpenGL 
-    else
-      QTFLAGS := -I$(QTHOME)/include/Qt -I$(QTHOME)/include
-
-      # If Qt is not located in the STANDARD path, try to find it in some
-      # other places.(Ex: for ubuntu 8.10)
-      QT_ALT1 := $(shell ls  $(QTHOME)/include/qt$(QT_VERSION)/*.h 2>/dev/null | wc -l )
-      QT_ALT2 := $(shell ls  $(QTHOME)/include/qt$(QT_VERSION)/Qt/*.h 2>/dev/null | wc -l )
-      ifneq ($(QT_ALT1),0)
-        QTFLAGS := -I$(QTHOME)/include/qt$(QT_VERSION)
-      endif
-      ifneq ($(QT_ALT2),0)
-        QTFLAGS := -I$(QTHOME)/include/qt$(QT_VERSION)/Qt
-      endif
-    endif
+    QTFLAGS   := -I$(QTHOME)/include -I$(QTHOME)/include/Qt
+    QTFLAGS   += -I$(QTHOME)/include/QtCore 
+    QTFLAGS   += -I$(QTHOME)/include/QtGui 
+    QTFLAGS   += -I$(QTHOME)/include/QtOpenGL 
   endif
   ifndef QTLIBPATH
-    QT_SEARCH_LIB1 := $(shell ls  $(QTHOME)/lib/qt$(QT_VERSION)/libq* 2>/dev/null | wc -l )
-    QT_SEARCH_LIB2 := $(shell ls  $(QTHOME)/lib/libq*  2>/dev/null | wc -l )
-    ifneq ($(QT_SEARCH_LIB1),0)
-      QTLIBPATH   := $(QTHOME)/lib/qt$(QT_VERSION)
-    endif
-    ifneq ($(QT_SEARCH_LIB2),0)
-      QTLIBPATH   := $(QTHOME)/lib
+    QTLIBPATH := $(QTHOME)/lib
+    QT_SEARCH_LIB := $(shell ls  $(QTLIBPATH)/qt$(QT_VERSION)/libq* 2>/dev/null | wc -l )
+    ifneq ($(QT_SEARCH_LIB),0)
+      QTLIBPATH := $(QTHOME)/lib/qt$(QT_VERSION)
     endif
   endif
   ifndef QTLIBS
-    QTLIBS   := -L$(QTLIBPATH)
-    ifeq ($(QT_VERSION),3)
-      QT3_MT  := $(shell ls  $(QTLIBPATH)/libqt-mt.* 2>/dev/null | wc -l )
-      ifneq ($(QT3_MT),0)
-        QTLIBS  += -lqt-mt
-      else
-        QTLIBS  += -lqt
-      endif
-      QTLIBS   += -lqui
-    else
-      QTLIBS    += -lQtCore -lQtGui
-    endif
+    QTLIBS   := -L$(QTLIBPATH) -lQtCore -lQtGui
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),3)
-        # already done in QTLIBS
-        #      GLQTLIBS    := $(QTLIBS)
-    else
-      GLQTLIBS    := -L$(QTLIBPATH) -lQtCore -lQtGui -lQtOpenGL
-    endif
+    GLQTLIBS := -L$(QTLIBPATH) -lQtCore -lQtGui -lQtOpenGL
   endif
+
 #----------------------------------------------------------------------------
 
Index: /trunk/config/sys/Linux-icc.gmk
===================================================================
--- /trunk/config/sys/Linux-icc.gmk	(revision 1348)
+++ /trunk/config/sys/Linux-icc.gmk	(revision 1349)
@@ -25,4 +25,5 @@
     FCFLAGS   += -fPIC
     CCFLAGS   += -fPIC
+    LDFLAGS   += -i-dynamic
   endif
   G4RUNPATHOPTION := -Wl,-rpath -Wl,
Index: /trunk/config/sys/WIN32-VC.gmk
===================================================================
--- /trunk/config/sys/WIN32-VC.gmk	(revision 1348)
+++ /trunk/config/sys/WIN32-VC.gmk	(revision 1349)
@@ -48,19 +48,9 @@
   endif
 
-  QT_VERSION  := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo QT4 || echo QT3)
-
   ifndef QTLIBS
-    ifeq ($(QT_VERSION),QT3)
-      QTLIBS   := -L$(QTHOME)/lib -lqt-mt
-    else
-      QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib
-    endif
+    QTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib
   endif
   ifndef GLQTLIBS
-    ifeq ($(QT_VERSION),QT3)
-      GLQTLIBS   := -L$(QTHOME)/lib -lqt-mt
-    else
-      GLQTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib
-    endif
+    GLQTLIBS   := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib
   endif
 
Index: /trunk/source/interfaces/CVS/Entries
===================================================================
--- /trunk/source/interfaces/CVS/Entries	(revision 1348)
+++ /trunk/source/interfaces/CVS/Entries	(revision 1349)
@@ -4,3 +4,3 @@
 /CMakeLists.txt/1.1/Wed Sep 29 18:45:30 2010//Tgeant4-09-04-ref-00
 /GNUmakefile/1.7/Thu Sep 30 06:11:40 2010//Tgeant4-09-04-ref-00
-/History/1.157/Wed Dec 22 10:23:15 2010//Tgeant4-09-04-ref-00
+/History/1.158/Thu Dec 23 14:09:53 2010//
Index: /trunk/source/interfaces/History
===================================================================
--- /trunk/source/interfaces/History	(revision 1348)
+++ /trunk/source/interfaces/History	(revision 1349)
@@ -1,3 +1,3 @@
-$Id: History,v 1.157 2010/11/02 17:39:48 allison Exp $
+$Id: History,v 1.158 2010/12/23 14:09:53 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -18,4 +18,8 @@
      ----------------------------------------------------------
 
+23, December L. Garnier 
+- basic/GNUmakefile : Remove OGL stuff from Makefile
+- common/GNUmakefile : Remove OGL stuff from Makefile
+
 8, October L. Garnier  (interfaces-V09-03-13)
 - G4UIQt : Fiw problem with redraw of help tree.
Index: /trunk/source/interfaces/basic/CVS/Entries
===================================================================
--- /trunk/source/interfaces/basic/CVS/Entries	(revision 1348)
+++ /trunk/source/interfaces/basic/CVS/Entries	(revision 1349)
@@ -2,4 +2,4 @@
 D/src////
 /CMakeLists.txt/1.1/Wed Sep 29 18:45:55 2010//Tgeant4-09-04-ref-00
-/GNUmakefile/1.7/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
 /sources.cmake/1.4/Wed Dec 22 10:23:15 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.8/Thu Dec 23 14:09:53 2010//
Index: /trunk/source/interfaces/basic/GNUmakefile
===================================================================
--- /trunk/source/interfaces/basic/GNUmakefile	(revision 1348)
+++ /trunk/source/interfaces/basic/GNUmakefile	(revision 1349)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.7 2009/10/19 07:37:48 lgarnier Exp $
+# $Id: GNUmakefile,v 1.8 2010/12/23 14:09:53 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for interfaces/basic library.  John Allison, 6/7/98.
@@ -13,5 +13,5 @@
 
 # For debug mode
-CPPFLAGS += -DG4DEBUG_INTERFACES_BASIC
+# CPPFLAGS += -DG4DEBUG_INTERFACES_BASIC
 
 include $(G4INSTALL)/config/architecture.gmk
Index: /trunk/source/interfaces/common/CVS/Entries
===================================================================
--- /trunk/source/interfaces/common/CVS/Entries	(revision 1348)
+++ /trunk/source/interfaces/common/CVS/Entries	(revision 1349)
@@ -2,4 +2,4 @@
 D/src////
 /CMakeLists.txt/1.1/Wed Sep 29 18:46:11 2010//Tgeant4-09-04-ref-00
-/GNUmakefile/1.5/dummy timestamp from new-entry//Tgeant4-09-04-ref-00
 /sources.cmake/1.4/Wed Dec  1 16:36:10 2010//Tgeant4-09-04-ref-00
+/GNUmakefile/1.6/Thu Dec 23 14:09:53 2010//
Index: /trunk/source/interfaces/common/GNUmakefile
===================================================================
--- /trunk/source/interfaces/common/GNUmakefile	(revision 1348)
+++ /trunk/source/interfaces/common/GNUmakefile	(revision 1349)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.5 2010/01/06 14:08:20 lgarnier Exp $
+# $Id: GNUmakefile,v 1.6 2010/12/23 14:09:53 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for interfaces/common library.  John Allison, 6/7/98.
@@ -13,5 +13,4 @@
 
 include $(G4INSTALL)/config/architecture.gmk
-#include $(G4INSTALL)/config/G4VIS_BUILD.gmk
 include $(G4INSTALL)/config/G4UI_BUILD.gmk
 include $(G4INSTALL)/config/interactivity.gmk
